#
# Conditional build:
%bcond_without	static_libs	# don't build static libraries

%define		rel		4
%define		subver	20121108
Summary:	Open-source implementation of Secure Real-time Transport Protocol
Summary(pl.UTF-8):	Otwarta implementacja protokołu Secure Real-time Transport Protocol
Name:		srtp
Version:	1.4.4
Release:	%{rel}.%{subver}
License:	BSD
Group:		Libraries
# Source0:	http://srtp.sourceforge.net/%{name}-%{version}.tgz
# Upstream 1.4.4 tarball is a bit dated, need to use cvs
# cvs -d:pserver:anonymous@srtp.cvs.sourceforge.net:/cvsroot/srtp co -P srtp
# tar cvfj srtp-1.4.4-20101004cvs.tar.bz2 srtp/
Source0:	http://dev.gentoo.org/~phajdan.jr/%{name}-%{version}_p%{subver}.tar.gz
# Source0-md5:	1d1a644d3847000b8e186578867bf839
Patch0:		%{name}-shared.patch
Patch1:		%{name}-rename_functions.patch
Source1:	lib%{name}.pc
URL:		http://srtp.sourceforge.net/srtp.html
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fPIC

%description
The libSRTP library is an open-source implementation of Secure
Real-time Transport Protocol (SRTP).

%description -l pl.UTF-8
Biblioteka libSRTP to otwarta implementacja protokołu SRTP (Secure
Real-time Transport Protocol).

%package devel
Summary:	Header files for SRTP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SRTP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SRTP library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SRTP.

%package static
Summary:	Static SRTP library
Summary(pl.UTF-8):	Statyczna biblioteka SRTP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SRTP library.

%description static -l pl.UTF-8
Statyczna biblioteka SRTP.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%{__autoheader}
%configure \
	%{?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}
ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libsrtp.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libsrtp.so

# Install the pkg-config file
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
sed -e "
	s|@PREFIX@|%{_prefix}|g
	s|@LIBDIR@|%{_libdir}|g
	s|@INCLUDEDIR@|%{_includedir}|g
" < %{SOURCE1} > $RPM_BUILD_ROOT%{_pkgconfigdir}/libsrtp.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README TODO
%attr(755,root,root) %{_libdir}/libsrtp.so.*.*.*
%ghost %{_libdir}/libsrtp.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/{crypto_kernel.txt,intro.txt,references.txt,draft-irtf-cfrg-icm-00.txt,libsrtp.pdf}
%attr(755,root,root) %{_libdir}/libsrtp.so
%{_pkgconfigdir}/libsrtp.pc
%{_libdir}/libsrtp.la
%{_includedir}/srtp

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsrtp.a
%endif
%changelog
* Mon Jun 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/srtp.git;a=log;h=master

* Mon Jun 17 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 49f7c35
- rename_functions.patch: rename some functions

* Fri Mar 15 2013 Elan Ruusamäe <glen@delfi.ee> 2358862
- up to 20121108 snapshot

* Fri May 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 842b44d
- release 2

* Thu Jan 06 2011 Elan Ruusamäe <glen@pld-linux.org> 5e59555
- up to 1.4.4, add .pc support from fedora

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 670b32d
- release 3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bc75e51
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e38dbde
- converted to UTF-8

* Wed Dec 13 2006 Paweł Sikora <pluto@pld-linux.org> 78a96e1
- release 2, rebuild with P: *.la.

* Thu Aug 24 2006 Elan Ruusamäe <glen@pld-linux.org> 1e8cdbe
- pass --tag=CC to libtool

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 800158d
- new

* Fri Jul 21 2006 Jakub Bogusz <qboosh@pld-linux.org> b0919fa
- build shared library

